### Virtual Method

# Gtk.CellArea.event

#### Declaration [src]

    int
    event (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      GdkEvent* event,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

Delegates event handling to a `GtkCellArea`.

#### Parameters

`context` | `GtkCellAreaContext`
| the `GtkCellAreaContext` for this row of data.
| Ownership is not transferred to the callee
`widget` | `GtkWidget`
| the `GtkWidget` that `area` is rendering to
| Ownership is not transferred to the callee
`event` | `GdkEvent*`
| the `GdkEvent` to handle
| Ownership is not transferred to the callee
`cell_area` | `const GdkRectangle*`
| the `widget` relative coordinates for `area`
| Ownership is not transferred to the callee
`flags` | `GtkCellRendererState`
| the `GtkCellRendererState` for `area` in this row.

#### Return value

Returns: `int`
`TRUE` if the event was handled by `area`.